## cloud-sql-proxy completion

Generate the autocompletion script for the specified shell

### Synopsis

Generate the autocompletion script for cloud-sql-proxy for the specified shell.
See each sub-command's help for details on how to use the generated script.


### Options

```
  -h, --help   help for completion
```

### Options inherited from parent commands

```
      --http-address string   Address for Prometheus and health check server (default "localhost")
      --http-port string      Port for Prometheus and health check server (default "9090")
```

### SEE ALSO

* [cloud-sql-proxy](cloud-sql-proxy.md)	 - cloud-sql-proxy authorizes and encrypts connections to Cloud SQL.
* [cloud-sql-proxy completion bash](cloud-sql-proxy_completion_bash.md)	 - Generate the autocompletion script for bash
* [cloud-sql-proxy completion fish](cloud-sql-proxy_completion_fish.md)	 - Generate the autocompletion script for fish
* [cloud-sql-proxy completion powershell](cloud-sql-proxy_completion_powershell.md)	 - Generate the autocompletion script for powershell
* [cloud-sql-proxy completion zsh](cloud-sql-proxy_completion_zsh.md)	 - Generate the autocompletion script for zsh

